View Issue Details

IDProjectCategoryView StatusLast Update
0002941Ham Radio DeluxeMaintenancepublic2019-01-16 22:05
ReporterPD9FERAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002941: LB: Solar Cycle Progression broke
DescriptionThe "legacy" web page that the solar cycle progression data came from went away
Steps To ReproduceStart Logbook
View > Solar Cycle Progression > Display
Note it no longer updates,
Additional InformationRelated to Mantis 0002892
Reported: Ticket #437623
TagsNo tags attached.
ModuleLogbook
Sub-ModuleVarious
Testing N/A

Relationships

related to 0003052 closedK7ZCZ Provide reliable web service with solar data in Logbook 
related to 0003053 closedK7ZCZ Cache Logbook's most recent solar data locally 
related to 0003054 closedK7ZCZ Update Logbook's solar data in each build 
related to 0003060 closedK7ZCZ Logbook has redundant menus for the same solar data 
related to 0003059 closedK7ZCZ Logbook's redundantly loads same solar file three times 

Activities

K7ZCZ

2018-11-20 12:43

manager   ~0006436

The data source moved from a web server to an FTP server. We knew that would happen eventually, but there's no code to pull data from an FTP server.

I've added FTP code and changed the URL. I've also made some fixes to the sun spot display code so it is more robust.

Fixed in the 6.5 branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4481

PD9FER

2018-12-10 07:00

viewer   ~0006557

Checking with the reporters

PD9FER

2018-12-10 07:29

viewer   ~0006560

Got report the Historical data is working but no prediction data is showed from > 2016
Please review.

PD9FER

2018-12-10 07:33

viewer   ~0006561

See attached screenshot

2018-12-10_14-31-51.png (79,363 bytes)
2018-12-10_14-31-51.png (79,363 bytes)

g3ucq

2018-12-10 11:00

viewer   ~0006564

I can confirm the problem.

WA9PIE

2018-12-12 13:15

administrator   ~0006589

Yeah, I'm going to fail this change. I can't figure out if the problem here is prior to sep-2008 (where there should be the predicted median, high, and low)... or if it's after "jan2018".

Isn't there more data after jan2018 (ie. it's dec2018 now).

K7ZCZ

2018-12-15 09:58

manager   ~0006654




The screenshot provided doesn't show what's not there (how could it?) so I had to spend some time figuring out what was missing.

The original problem of not handling FTP downloads is fixed.

The lack of prediction data was caused by the use of the same URL for the high, low, and median predictions. The code was written to actuall retrieve the same URL three times, reading a different column from the file on each retreival. That's not exactly efficient, but once we understand the code works that way we're able to accommodate the race to the "different" data sources. Ironically, the issue of the redundantly returned data was compounded by a bug I added when adding more logging when fixing the TLS issue back in September.

I think we're all set after this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4566

g3ypp

2018-12-18 05:10

viewer   ~0006700

It seems to have taken a step backwards in .157. No data showing after 2009

g3ucq

2018-12-18 09:28

viewer   ~0006702

I see Solar Progression showing from Jan 1992 to Jan 2023.

g3ypp

2018-12-19 03:58

viewer   ~0006707

Photo added of what I am seeing in .157

SolarProgression.JPG (80,116 bytes)
SolarProgression.JPG (80,116 bytes)

g3ucq

2018-12-19 04:27

viewer   ~0006708

On further investigation.
When the Logbook is opened and the Solar Cycle selected the data is displayed as in my photo.
However, part of the data suddenly disappears after a few seconds as in G3YPP's photo.

solar.JPG (63,297 bytes)
solar.JPG (63,297 bytes)

PD9FER

2018-12-19 04:28

viewer   ~0006709

Fixed in 6.5.0.157 (for me, asked confirmation from the Ticket reporter)

PD9FER

2018-12-19 08:39

viewer   ~0006711

Win 8 Fail
Win 7 Success
Win 10 unknown

PD9FER

2018-12-19 08:54

viewer   ~0006712

More info in Ticket #437623

K7ZCZ

2018-12-19 10:41

manager   ~0006713

This is working for me on my desktop. There are reports here saying nothing more than "it doesn't work", and the bug started out with no indication of what the feature was supposed to look like.

Note that the solar data comes from a "Default" file that ships with the product. That's shown when the product opens. After a period, it updates, so it's important to wait a minute or two for the update and fresh data. The use of old data is dubious, but not a new situation.

At this point, there's nothing for me to investigate. If you don't believe the feature is working correctly, please take the time to write up what it is you see, how you got there, and what it is you expect to see. The more specific you can be, the better chance I have at understanding the problem you're having and creating a fix. Consider including the content of your logfile report so that we can see what the application logged when trying to download the solar data.

PD9FER

2018-12-19 11:58

viewer   ~0006714

Here you go.. I advise to read the ticket.

LOG.txt (107,742 bytes)
12:37:07  Queries        Read 14 queries from C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\LogbookQueries.xml
12:37:07  Thread         Closing 0 databases
12:37:07  Database       Opening 1 databases
12:37:07  Thread         Closing 0 databases
12:37:07  Database       Opening 1 databases
12:37:07  WOW64          Checking WOW64
12:37:07  WOW64          WOW64 status 1
12:37:07  Database       Opening, "My Logbook" with connect string "DSN=MS Access Database;DBQ=C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRD My Logbook.mdb;DriverId=25;FIL=MS Access"
12:37:07  Database       Opening, "My Logbook" with connect string "DSN=MS Access Database;DBQ=C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRD My Logbook.mdb;DriverId=25;FIL=MS Access"
12:37:07  HRD Interface  Initializing: HRD
12:37:08  Soundcards     Loading Soundcard Mixers
12:37:08  Soundcards         1  [Microphone (3- USB Audio CODEC]
12:37:08  Soundcards         0  [Microphone (6- USB Audio CODEC]
                         
12:37:08  Soundcard      Matching [Microphone (3- USB Audio CODEC]
12:37:08  Soundcard      Matching [Microphone (3- USB Audio CODEC], index = 1
12:37:08  Sunspots       file C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
12:37:08  SunspotsEx     Default "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\SunspotPredictDefault.txt"
12:37:08  SunspotsEx     High "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\SunspotPredictHigh.txt"
12:37:08  SunspotsEx     Low "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\SunspotPredictLow.txt"
12:37:08  SunspotsEx     Recent "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\RecentSolarIndices.txt"
12:37:09  SunspotsEx     Default "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\SunspotPredictDefault.txt"
12:37:09  SunspotsEx     High "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\SunspotPredictHigh.txt"
12:37:09  SunspotsEx     Low "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\SunspotPredictLow.txt"
12:37:09  SunspotsEx     Recent "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\RecentSolarIndices.txt"
12:37:09  Sunspots       file C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
12:37:09  Thread         Alarms: Creating thread
12:37:09  Thread         Alarms: Created thread, handle = 00000914, errno = 0
12:37:09  Thread         Alarms: Starting thread, handle = 2324
12:37:09  Thread         General: Creating thread
12:37:09  Thread         General: Created thread, handle = 00000950, errno = 0
12:37:09  Thread         General: Starting thread, handle = 2384
12:37:10  Thread         Internet: Creating thread
12:37:10  Thread         Internet: Created thread, handle = 00000958, errno = 0
12:37:10  Thread         Lookups: Creating thread
12:37:10  Thread         Lookups: Created thread, handle = 0000095C, errno = 0
12:37:10  Thread         Lookups: Starting thread, handle = 2396
12:37:10  Thread         Internet: Starting thread, handle = 2392
12:37:10  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
12:37:10  Thread         Radio: Creating thread
12:37:10  Thread         Radio: Created thread, handle = 00000A1C, errno = 0
12:37:10  Thread         Radio: Starting thread, handle = 2588
12:37:10  Thread         Soundcard: Creating thread
12:37:10  Thread         Soundcard: Created thread, handle = 00000A6C, errno = 0
12:37:10  Thread         Soundcard: Starting thread, handle = 2668
12:37:10  Thread         Closing 0 databases
12:37:10  Database       Opening 1 databases
12:37:10  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
12:37:10  Init Calendar  Notification object: 05DD8648
12:37:10  Init Calendar  Advising reminders
12:37:10  General        Loading layout from C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutA_002.xml
12:37:10  Database       Opening, "My Logbook" with connect string "DSN=MS Access Database;DBQ=C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRD My Logbook.mdb;DriverId=25;FIL=MS Access"
12:37:10  General        Loading class CHRDLogbookFrame
12:37:11  Database       Checking 'My Logbook' data source 'DSN=MS Access Database;DBQ=C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRD My Logbook.mdb;DriverId=25;FIL=MS Access' -
12:37:11  Database       Exists
12:37:11  DSN            Database username ................: admin
12:37:11  DSN            Database name ....................: C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRD My Logbook.mdb
12:37:11  DSN            DBMS product name ................: ACCESS
12:37:11  DSN            Driver filename ..................: ACEODBC.DLL
12:37:11  DSN            Driver ODBC support ..............: 03.51
12:37:11  DSN            Driver manager ODBC conformance ..: 03.80.0000
12:37:11  DSN            Maximum active connections .......: 64
12:37:11  DSN            Maximum active statements ........: Unlimited
12:37:11  DSN            Read only ........................: N
12:37:11  DSN            Server name ......................: ACCESS
12:37:11  Database       Opening 'DSN=MS Access Database;DBQ=C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\HRD My Logbook.mdb;DriverId=25;FIL=MS Access'
12:37:11  Database       Open status 1
12:37:11  Database       Opening 'HRD My Logbook - Access'
12:37:11  Database       Open status 1
12:37:11  Database       Timeout ..: 120 seconds
12:37:11  Database       Open status 1
12:37:12  LoadURL        Got 2920 characters from "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
12:37:12  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
12:37:15  Thread         Callsign Lookup: Creating thread
12:37:15  Thread         Callsign Lookup: Created thread, handle = 00000DB8, errno = 0
12:37:15  Sunspots       Loaded 44 lines from http://services.swpc.noaa.gov/text/daily-solar-indices.txt
12:37:15  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
12:37:15  MDMP cleanup   Total length is 0 and less than 10737418240, no files removed for size
12:37:15  Web            Cluster DXConnect: Manual Connect()

12:37:15  Web            Connect(): Manual = TRUE

12:37:16  Web            Create: New Socket Created.

12:37:16  HRD Interface  Host name      = W3RJW_Bunker
12:37:16  HRD Interface  Host address 1 = 192.168.1.4
12:37:16  HRD Interface  Connecting to localhost port 7809
12:37:16  HRD Interface  W3RJW_Bunker address 1 = 127.0.0.1
12:37:16  HRD Interface  Connected
12:37:16  HRD Interface  Set recv timeout = 30000 milliseconds
12:37:16  HRD Interface  Get recv timeout = 30000 milliseconds
12:37:16  HRD Interface  Set send timeout = 30000 milliseconds
12:37:16  HRD Interface  Get send timeout = 30000 milliseconds
12:37:16  HRD Interface  Set recv buffer = 32768 Bytes
12:37:16  HRD Interface  Get recv buffer = 32768 Bytes
12:37:16  HRD Interface  Set send buffer = 32768 Bytes
12:37:16  HRD Interface  Get send buffer = 32768 Bytes
12:37:17  Network Svr    Connection with 127.0.0.1
12:37:17  Network Svr    Recv timeout: 30000 ms
12:37:17  Network Svr    Send timeout: 30000 ms
12:37:17  Network Svr    Recv buffer : 32768 Bytes
12:37:17  Network Svr    Send buffer : 32768 Bytes
12:37:18  Network Svr    Database: My Logbook
12:37:26  HRD Interface  Message >> [512] get frequencies
12:37:26  HRD Interface  Message << 10136000-10148588
12:37:26  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:26  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:27  HRD Interface  Message >> [512] get frequencies
12:37:27  HRD Interface  Message << 10136000-10148588
12:37:27  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:27  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:28  HRD Interface  Message >> [512] get frequencies
12:37:28  HRD Interface  Message << 10136000-10148588
12:37:28  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:28  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:28  HRD Interface  Message >> [512] get frequencies
12:37:28  HRD Interface  Message << 10136000-10148588
12:37:28  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:28  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:29  HRD Interface  Message >> [512] get frequencies
12:37:29  HRD Interface  Message << 10136000-10148588
12:37:29  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:29  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:29  HRD Interface  Message >> [512] get frequencies
12:37:29  HRD Interface  Message << 10136000-10148588
12:37:29  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:29  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:30  HRD Interface  Message >> [512] get frequencies
12:37:30  HRD Interface  Message << 10136000-10148588
12:37:30  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:30  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:30  HRD Interface  Message >> [512] get frequencies
12:37:30  HRD Interface  Message << 10136000-10148588
12:37:30  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:30  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:31  HRD Interface  Message >> [512] get frequencies
12:37:31  HRD Interface  Message << 10136000-10148588
12:37:31  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:31  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:31  HRD Interface  Message >> [512] get frequencies
12:37:31  HRD Interface  Message << 10136000-10148588
12:37:31  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:31  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:32  HRD Interface  Message >> [512] get frequencies
12:37:32  HRD Interface  Message << 10136000-10148588
12:37:32  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:32  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:32  HRD Interface  Message >> [512] get frequencies
12:37:32  HRD Interface  Message << 10136000-10148588
12:37:32  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:32  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:33  HRD Interface  Message >> [512] get frequencies
12:37:33  HRD Interface  Message << 10136000-10148588
12:37:33  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:33  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:33  HRD Interface  Message >> [512] get frequencies
12:37:33  HRD Interface  Message << 10136000-10148588
12:37:33  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:33  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 1637 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 917 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 641 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 543 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 1195 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 490 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 552 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 1146 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 625 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 619 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 528 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 1029 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 563 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 793 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "UA0SC"] 1038 microseconds
12:37:33  CDXCObject     lookup of "UA0SC" took 15 milliseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 5137 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 1740 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 720 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 669 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 514 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 598 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 469 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 745 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 689 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 746 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 710 microseconds
12:37:33  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 1018 microseconds
12:37:34  HRD Interface  Message >> [512] get frequencies
12:37:34  HRD Interface  Message << 10136000-10148588
12:37:34  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:34  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:35  HRD Interface  Message >> [512] get frequencies
12:37:35  HRD Interface  Message << 10136000-10148588
12:37:35  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:35  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:35  HRD Interface  Message >> [512] get frequencies
12:37:35  HRD Interface  Message << 10136000-10148588
12:37:35  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:35  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:36  HRD Interface  Message >> [512] get frequencies
12:37:36  HRD Interface  Message << 10136000-10148588
12:37:36  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:36  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:36  HRD Interface  Message >> [512] get frequencies
12:37:36  HRD Interface  Message << 10136000-10148588
12:37:36  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:36  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:37  HRD Interface  Message >> [512] get frequencies
12:37:37  HRD Interface  Message << 10136000-10148588
12:37:37  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:37  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:37  HRD Interface  Message >> [512] get frequencies
12:37:37  HRD Interface  Message << 10136000-10148588
12:37:37  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:37  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:38  HRD Interface  Message >> [512] get frequencies
12:37:38  HRD Interface  Message << 10136000-10148588
12:37:38  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:38  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:38  LoadURL        Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) The operation timed out
12:37:38  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
12:37:38  HRD Interface  Message >> [512] get frequencies
12:37:38  HRD Interface  Message << 10136000-10148588
12:37:38  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:38  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:39  HRD Interface  Message >> [512] get frequencies
12:37:39  HRD Interface  Message << 10136000-10148588
12:37:39  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:39  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:39  HRD Interface  Message >> [512] get frequencies
12:37:39  HRD Interface  Message << 10136000-10148588
12:37:39  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:39  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:39  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 6233873 microseconds
12:37:39  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 6236721 microseconds
12:37:40  HRD Interface  Message >> [512] get frequencies
12:37:40  HRD Interface  Message << 10136000-10148588
12:37:40  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:40  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:40  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
12:37:40  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
12:37:40  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
12:37:40  HRD Interface  Message >> [512] get frequencies
12:37:40  HRD Interface  Message << 10136000-10148588
12:37:40  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:40  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:40  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
12:37:40  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
12:37:40  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
12:37:40  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
12:37:40  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/wwv.txt"
12:37:40  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
12:37:40  SunspotsEx     Wrote to C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
12:37:40  LoadURL        Got 483 characters from "http://services.swpc.noaa.gov/text/wwv.txt"
12:37:40  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
12:37:40  Web            WWV data ..: SF:70 A:7 K:1
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 1174285 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 1174228 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 775 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 1392 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 822 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 724 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 876 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 615 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 1568 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "RK3AW"] 8996 microseconds
12:37:40  CDXCObject     lookup of "RK3AW" took 7438 milliseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 2221 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 6321 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 1219 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 915 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 1533 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 1465 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 1510 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 560 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 923 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 638 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 932 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 745 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 796 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 720 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 726 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 11010 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 2274 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 1308 microseconds
12:37:40  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 695 microseconds
12:37:41  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 3434 microseconds
12:37:41  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "EA8AAH"] 1348 microseconds
12:37:41  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 1177 microseconds
12:37:41  CDXCObject     lookup of "EA8AAH" took 31 milliseconds
12:37:41  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "IV3OKO"] 4025 microseconds
12:37:41  CDXCObject     lookup of IV3OKO took 7437 milliseconds, refresh took 0 milliseconds
12:37:41  HRD Interface  Message >> [512] get frequencies
12:37:41  HRD Interface  Message << 10136000-10148588
12:37:41  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:41  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:41  HRD Interface  Message >> [512] get frequencies
12:37:41  HRD Interface  Message << 10136000-10148588
12:37:41  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:41  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:42  HRD Interface  Message >> [512] get frequencies
12:37:42  HRD Interface  Message << 10136000-10148588
12:37:42  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:42  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:42  HRD Interface  Message >> [512] get frequencies
12:37:42  HRD Interface  Message << 10136000-10148588
12:37:42  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:42  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:43  HRD Interface  Message >> [512] get frequencies
12:37:43  HRD Interface  Message << 10136000-10148588
12:37:43  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:43  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:43  HRD Interface  Message >> [512] get frequencies
12:37:43  HRD Interface  Message << 10136000-10148588
12:37:43  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:43  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:44  HRD Interface  Message >> [512] get frequencies
12:37:44  HRD Interface  Message << 10136000-10148588
12:37:44  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:44  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 8652 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 2004 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 1237 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 784 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 512 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 657 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 738 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 1266 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 5010 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 807 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 693 microseconds
12:37:44  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2BD8, threadNumber = 0, callsign = "IZ1UKG"] 598 microseconds
12:37:44  CDXCObject     lookup of IZ1UKG took 15 milliseconds, refresh took 16 milliseconds
12:37:44  HRD Interface  Message >> [512] get frequencies
12:37:44  HRD Interface  Message << 10136000-10148588
12:37:44  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:44  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:45  HRD Interface  Message >> [512] get frequencies
12:37:45  HRD Interface  Message << 10136000-10148588
12:37:45  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:45  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:45  HRD Interface  Message >> [512] get frequencies
12:37:45  HRD Interface  Message << 10136000-10148588
12:37:45  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:45  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:46  HRD Interface  Message >> [512] get frequencies
12:37:46  HRD Interface  Message << 10136000-10148588
12:37:46  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:46  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:46  HRD Interface  Message >> [512] get frequencies
12:37:46  HRD Interface  Message << 10136000-10148588
12:37:46  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:46  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:47  HRD Interface  Message >> [512] get frequencies
12:37:47  HRD Interface  Message << 10136000-10148588
12:37:47  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:47  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:47  HRD Interface  Message >> [512] get frequencies
12:37:47  HRD Interface  Message << 10136000-10148588
12:37:47  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:47  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:48  HRD Interface  Message >> [512] get frequencies
12:37:48  HRD Interface  Message << 10136000-10148588
12:37:48  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:48  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:48  HRD Interface  Message >> [512] get frequencies
12:37:48  HRD Interface  Message << 10136000-10148588
12:37:48  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:48  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:49  HRD Interface  Message >> [512] get frequencies
12:37:49  HRD Interface  Message << 10136000-10148588
12:37:49  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:49  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:49  HRD Interface  Message >> [512] get frequencies
12:37:49  HRD Interface  Message << 10136000-10148588
12:37:49  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:49  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:50  HRD Interface  Message >> [512] get frequencies
12:37:50  HRD Interface  Message << 10136000-10148588
12:37:50  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:50  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 1192 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 873 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 1069 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 699 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 525 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 850 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 501 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 726 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 589 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 606 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 593 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 482 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 963 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 782 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 881 microseconds
12:37:50  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "ER3MM"] 919 microseconds
12:37:50  CDXCObject     lookup of ER3MM took 15 milliseconds, refresh took 0 milliseconds
12:37:50  HRD Interface  Message >> [512] get frequencies
12:37:50  HRD Interface  Message << 10136000-10148588
12:37:50  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:50  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:51  HRD Interface  Message >> [512] get frequencies
12:37:51  HRD Interface  Message << 10136000-10148588
12:37:51  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:51  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:51  HRD Interface  Message >> [512] get frequencies
12:37:51  HRD Interface  Message << 10136000-10148588
12:37:51  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:51  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:52  HRD Interface  Message >> [512] get frequencies
12:37:52  HRD Interface  Message << 10136000-10148588
12:37:52  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:52  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:52  HRD Interface  Message >> [512] get frequencies
12:37:52  HRD Interface  Message << 10136000-10148588
12:37:52  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:52  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:53  HRD Interface  Message >> [512] get frequencies
12:37:53  HRD Interface  Message << 10136000-10148588
12:37:53  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:53  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:53  HRD Interface  Message >> [512] get frequencies
12:37:53  HRD Interface  Message << 10136000-10148588
12:37:53  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:53  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:54  HRD Interface  Message >> [512] get frequencies
12:37:54  HRD Interface  Message << 10136000-10148588
12:37:54  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:54  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:54  HRD Interface  Message >> [512] get frequencies
12:37:54  HRD Interface  Message << 10136000-10148588
12:37:54  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:54  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:55  HRD Interface  Message >> [512] get frequencies
12:37:55  HRD Interface  Message << 10136000-10148588
12:37:55  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:55  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:55  HRD Interface  Message >> [512] get frequencies
12:37:55  HRD Interface  Message << 10136000-10148588
12:37:55  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:55  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:55  SunspotsEx     Recent "C:\Users\Ronbo\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\PROGRA~2\HRDSOF~1\HAMRAD~1\RecentSolarIndices.txt"
12:37:56  HRD Interface  Message >> [512] get frequencies
12:37:56  HRD Interface  Message << 10136000-10148588
12:37:56  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:56  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:56  HRD Interface  Message >> [512] get frequencies
12:37:56  HRD Interface  Message << 10136000-10148588
12:37:56  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:56  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 7754 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 10197 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 3722 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 4123 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 2020 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 1993 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 853 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 735 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 837 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 531 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 2164 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 2416 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 824 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 883 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 956 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 1477 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 809 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 793 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 506 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 6089 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 2715 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 3038 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 5346 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 3399 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 1643 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 841 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 664 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "F4GDO"] 5870 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 6337 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 2576 microseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 1933 microseconds
12:37:56  CDXCObject     lookup of "F4GDO" took 62 milliseconds
12:37:56  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "DK6VCO"] 5392 microseconds
12:37:56  CDXCObject     lookup of DK6VCO took 62 milliseconds, refresh took 16 milliseconds
12:37:57  HRD Interface  Message >> [512] get frequencies
12:37:57  HRD Interface  Message << 10136000-10148588
12:37:57  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:57  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:57  HRD Interface  Message >> [512] get frequencies
12:37:57  HRD Interface  Message << 10136000-10148588
12:37:57  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:57  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:58  HRD Interface  Message >> [512] get frequencies
12:37:58  HRD Interface  Message << 10136000-10148588
12:37:58  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:58  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:58  HRD Interface  Message >> [512] get frequencies
12:37:58  HRD Interface  Message << 10136000-10148588
12:37:58  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:58  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:59  HRD Interface  Message >> [512] get frequencies
12:37:59  HRD Interface  Message << 10136000-10148588
12:37:59  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:59  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:37:59  HRD Interface  Message >> [512] get frequencies
12:37:59  HRD Interface  Message << 10136000-10148588
12:37:59  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:37:59  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:00  HRD Interface  Message >> [512] get frequencies
12:38:00  HRD Interface  Message << 10136000-10148588
12:38:00  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:00  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:00  HRD Interface  Message >> [512] get frequencies
12:38:00  HRD Interface  Message << 10136000-10148588
12:38:00  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:00  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:01  HRD Interface  Message >> [512] get frequencies
12:38:01  HRD Interface  Message << 10136000-10148588
12:38:01  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:01  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:01  HRD Interface  Message >> [512] get frequencies
12:38:01  HRD Interface  Message << 10136000-10148588
12:38:01  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:01  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:02  HRD Interface  Message >> [512] get frequencies
12:38:02  HRD Interface  Message << 10136000-10148588
12:38:02  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:02  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:02  HRD Interface  Message >> [512] get frequencies
12:38:02  HRD Interface  Message << 10136000-10148588
12:38:02  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:02  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:03  HRD Interface  Message >> [512] get frequencies
12:38:03  HRD Interface  Message << 10136000-10148588
12:38:03  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:03  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:03  HRD Interface  Message >> [512] get frequencies
12:38:03  HRD Interface  Message << 10136000-10148588
12:38:03  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:03  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:10  HRD Interface  Message >> [512] get frequencies
12:38:10  HRD Interface  Message << 10136000-10148588
12:38:10  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:10  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:11  HRD Interface  Message >> [512] get frequencies
12:38:11  HRD Interface  Message << 10136000-10148588
12:38:11  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:11  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:11  HRD Interface  Message >> [512] get frequencies
12:38:11  HRD Interface  Message << 10136000-10148588
12:38:11  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:11  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:12  HRD Interface  Message >> [512] get frequencies
12:38:12  HRD Interface  Message << 10136000-10148588
12:38:12  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:12  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:12  HRD Interface  Message >> [512] get frequencies
12:38:12  HRD Interface  Message << 10136000-10148588
12:38:12  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:12  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:13  HRD Interface  Message >> [512] get frequencies
12:38:13  HRD Interface  Message << 10136000-10148588
12:38:13  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:13  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:13  HRD Interface  Message >> [512] get frequencies
12:38:13  HRD Interface  Message << 10136000-10148588
12:38:13  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:13  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:14  HRD Interface  Message >> [512] get frequencies
12:38:14  HRD Interface  Message << 10136000-10148588
12:38:14  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:14  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:14  HRD Interface  Message >> [512] get frequencies
12:38:14  HRD Interface  Message << 10136000-10148588
12:38:14  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:14  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:16  HRD Interface  Message >> [512] get frequencies
12:38:16  HRD Interface  Message << 10136000-10148588
12:38:16  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:16  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:17  HRD Interface  Message >> [512] get frequencies
12:38:17  HRD Interface  Message << 10136000-10148588
12:38:17  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:17  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:17  HRD Interface  Message >> [512] get frequencies
12:38:17  HRD Interface  Message << 10136000-10148588
12:38:17  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:17  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:18  HRD Interface  Message >> [512] get frequencies
12:38:18  HRD Interface  Message << 10136000-10148588
12:38:18  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:18  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:18  HRD Interface  Message >> [512] get frequencies
12:38:18  HRD Interface  Message << 10136000-10148588
12:38:18  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:18  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:19  HRD Interface  Message >> [512] get frequencies
12:38:19  HRD Interface  Message << 10136000-10148588
12:38:19  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:19  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:19  HRD Interface  Message >> [512] get frequencies
12:38:19  HRD Interface  Message << 10136000-10148588
12:38:19  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:19  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:20  HRD Interface  Message >> [512] get frequencies
12:38:20  HRD Interface  Message << 10136000-10148588
12:38:20  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:20  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:20  HRD Interface  Message >> [512] get frequencies
12:38:20  HRD Interface  Message << 10136000-10148588
12:38:20  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:20  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:21  HRD Interface  Message >> [512] get frequencies
12:38:21  HRD Interface  Message << 10136000-10148588
12:38:21  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:21  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:21  HRD Interface  Message >> [512] get frequencies
12:38:21  HRD Interface  Message << 10136000-10148588
12:38:21  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:21  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:22  HRD Interface  Message >> [512] get frequencies
12:38:22  HRD Interface  Message << 10136000-10148588
12:38:22  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:22  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:22  HRD Interface  Message >> [512] get frequencies
12:38:22  HRD Interface  Message << 10136000-10148588
12:38:22  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:22  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:23  HRD Interface  Message >> [512] get frequencies
12:38:23  HRD Interface  Message << 10136000-10148588
12:38:23  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:23  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:23  HRD Interface  Message >> [512] get frequencies
12:38:23  HRD Interface  Message << 10136000-10148588
12:38:23  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:23  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:24  HRD Interface  Message >> [512] get frequencies
12:38:24  HRD Interface  Message << 10136000-10148588
12:38:24  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:24  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:24  HRD Interface  Message >> [512] get frequencies
12:38:24  HRD Interface  Message << 10136000-10148588
12:38:24  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:24  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:25  HRD Interface  Message >> [512] get frequencies
12:38:25  HRD Interface  Message << 10136000-10148588
12:38:25  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:25  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:25  HRD Interface  Message >> [512] get frequencies
12:38:25  HRD Interface  Message << 10136000-10148588
12:38:25  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:25  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:26  HRD Interface  Message >> [512] get frequencies
12:38:26  HRD Interface  Message << 10136000-10148588
12:38:26  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:26  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:26  HRD Interface  Message >> [512] get frequencies
12:38:26  HRD Interface  Message << 10136000-10148588
12:38:26  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:26  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:27  HRD Interface  Message >> [512] get frequencies
12:38:27  HRD Interface  Message << 10136000-10148588
12:38:27  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:27  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:27  HRD Interface  Message >> [512] get frequencies
12:38:27  HRD Interface  Message << 10136000-10148588
12:38:27  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:27  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:28  HRD Interface  Message >> [512] get frequencies
12:38:28  HRD Interface  Message << 10136000-10148588
12:38:28  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:28  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:28  HRD Interface  Message >> [512] get frequencies
12:38:28  HRD Interface  Message << 10136000-10148588
12:38:28  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:28  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:29  HRD Interface  Message >> [512] get frequencies
12:38:29  HRD Interface  Message << 10136000-10148588
12:38:29  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:29  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:29  HRD Interface  Message >> [512] get frequencies
12:38:29  HRD Interface  Message << 10136000-10148588
12:38:29  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:29  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:30  HRD Interface  Message >> [512] get frequencies
12:38:30  HRD Interface  Message << 10136000-10148588
12:38:30  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:30  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:30  HRD Interface  Message >> [512] get frequencies
12:38:30  HRD Interface  Message << 10136000-10148588
12:38:30  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:30  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:31  HRD Interface  Message >> [512] get frequencies
12:38:31  HRD Interface  Message << 10136000-10148588
12:38:31  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:31  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:31  HRD Interface  Message >> [512] get frequencies
12:38:31  HRD Interface  Message << 10136000-10148588
12:38:31  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:31  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:32  HRD Interface  Message >> [512] get frequencies
12:38:32  HRD Interface  Message << 10136000-10148588
12:38:32  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:32  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 4368 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 1498 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 757 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 602 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 538 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 725 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 500 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 777 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 2346 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 759 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 654 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 557 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 2042 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 571 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 574 microseconds
12:38:32  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "ON6NL"] 1997 microseconds
12:38:32  CDXCObject     lookup of ON6NL took 16 milliseconds, refresh took 0 milliseconds
12:38:32  HRD Interface  Message >> [512] get frequencies
12:38:32  HRD Interface  Message << 10136000-10148588
12:38:32  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:32  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:33  HRD Interface  Message >> [512] get frequencies
12:38:33  HRD Interface  Message << 10136000-10148588
12:38:33  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:33  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:33  HRD Interface  Message >> [512] get frequencies
12:38:33  HRD Interface  Message << 10136000-10148588
12:38:33  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:33  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:34  HRD Interface  Message >> [512] get frequencies
12:38:34  HRD Interface  Message << 10136000-10148588
12:38:34  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:34  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:34  HRD Interface  Message >> [512] get frequencies
12:38:34  HRD Interface  Message << 10136000-10148588
12:38:34  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:34  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:35  HRD Interface  Message >> [512] get frequencies
12:38:35  HRD Interface  Message << 10136000-10148588
12:38:35  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:35  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:35  HRD Interface  Message >> [512] get frequencies
12:38:35  HRD Interface  Message << 10136000-10148588
12:38:35  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:35  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:36  HRD Interface  Message >> [512] get frequencies
12:38:36  HRD Interface  Message << 10136000-10148588
12:38:36  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:36  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:36  HRD Interface  Message >> [512] get frequencies
12:38:36  HRD Interface  Message << 10136000-10148588
12:38:36  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:36  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:37  HRD Interface  Message >> [512] get frequencies
12:38:37  HRD Interface  Message << 10136000-10148588
12:38:37  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:37  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:37  HRD Interface  Message >> [512] get frequencies
12:38:37  HRD Interface  Message << 10136000-10148588
12:38:37  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:37  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:38  HRD Interface  Message >> [512] get frequencies
12:38:38  HRD Interface  Message << 10136000-10148588
12:38:38  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:38  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:39  HRD Interface  Message >> [512] get frequencies
12:38:39  HRD Interface  Message << 10136000-10148588
12:38:39  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:39  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:39  HRD Interface  Message >> [512] get frequencies
12:38:39  HRD Interface  Message << 10136000-10148588
12:38:39  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:39  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:40  HRD Interface  Message >> [512] get frequencies
12:38:40  HRD Interface  Message << 10136000-10148588
12:38:40  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:40  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:40  HRD Interface  Message >> [512] get frequencies
12:38:40  HRD Interface  Message << 10136000-10148588
12:38:40  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:40  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:41  HRD Interface  Message >> [512] get frequencies
12:38:41  HRD Interface  Message << 10136000-10148588
12:38:41  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:41  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:41  HRD Interface  Message >> [512] get frequencies
12:38:41  HRD Interface  Message << 10136000-10148588
12:38:41  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:41  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:41  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 7555507 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 408238 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2339): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 4254240 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 7504 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2492): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 7633 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 933 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 634 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 675 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 609 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 1014 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 987 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 758 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 2337 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 841 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 2737 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 860 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 900 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (2793): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 9373 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2F20, threadNumber = 1, callsign = "UB3REX"] 4017 microseconds
12:38:42  CDXCObject     lookup of "UB3REX" took 8000 milliseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3066): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 1946 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3115): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 827 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3150): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 680 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3199): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 580 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 1496 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 3728 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3592): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 844 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3649): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 665 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (3707): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 580 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4468): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 5385 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 1206 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 1443 microseconds
12:38:42  Stopwatch      c:\hrd65\logbook\hrdlogbook\backgroundprocessingthreadlookups.cpp (4513): [connection = 07FB2BD8, threadNumber = 0, callsign = "DG4MB"] 4857 microseconds
12:38:42  CDXCObject     lookup of DG4MB took 4297 milliseconds, refresh took 0 milliseconds
12:38:42  HRD Interface  Message >> [512] get frequencies
12:38:42  HRD Interface  Message << 10136000-10148588
12:38:42  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:42  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:42  HRD Interface  Message >> [512] get frequencies
12:38:42  HRD Interface  Message << 10136000-10148588
12:38:42  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:42  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:43  HRD Interface  Message >> [512] get frequencies
12:38:43  HRD Interface  Message << 10136000-10148588
12:38:43  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:43  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:43  HRD Interface  Message >> [512] get frequencies
12:38:43  HRD Interface  Message << 10136000-10148588
12:38:43  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:43  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop
12:38:44  HRD Interface  Message >> [512] get frequencies
12:38:44  HRD Interface  Message << 10136000-10148588
12:38:44  HRD Interface  Message >> [512] get dropdown-text {Main~Mode} [512] get dropdown-text {Sub~Mode} [512] get dropdown-text {Antenna} [512] get dropdown-text {CW~Keying} [512] get dropdown-text {Receiver} [512] get dropdown-text {Voice}
12:38:44  HRD Interface  Message << Main Mode: PKT-U Sub Mode: FSK-R Antenna CW Keying Receiver: RX / Off Voice: Stop

LOG.txt (107,742 bytes)

K7ZCZ

2018-12-19 14:21

manager   ~0006715

Thanks! Now that we have some information about the problem the customer is experiencing, we might be able to make some progress.

The log shows these lines:

12:37:12  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
12:37:38  LoadURL        Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) The operation timed out


so it seems like the customer might have a connectivity or configuration problem.

g3ucq

2018-12-19 15:45

viewer   ~0006716

You may find my log file useful.
(Seems there is a problem with MYSQL database?)

HRD Logbook Logfile 2018-12-19 214140.txt (11,739 bytes)
21:40:40  Queries        Read 15 queries from C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\LogbookQueries.xml
21:40:41  Thread         Closing 0 databases
21:40:41  Database       Opening 10 databases
21:40:41  Thread         Closing 0 databases
21:40:41  Database       Opening 10 databases
21:40:41  Database       Opening, "G3UCQ MySQL" with connect string "DSN=Mariadb"
21:40:41  Database       Opening, "G3UCQ MySQL" with connect string "DSN=Mariadb"
21:40:41  Database       Error Cannot open database '(unknown)'.  It may not be a database that your application recognizes, or the file may be corrupt.
Driver's SQLSetConnectAttr failed

21:40:41  WOW64          Checking WOW64
21:40:41  WOW64          WOW64 status 1
21:40:41  Database       Error Cannot open database '(unknown)'.  It may not be a database that your application recognizes, or the file may be corrupt.
Driver's SQLSetConnectAttr failed

21:40:41  Database       Retry opening, "G3UCQ" with connect string "DSN=G3UCQ - Access"
21:40:41  Database       Retry opening, "G3UCQ" with connect string "DSN=G3UCQ - Access"
21:40:41  Database       Opening, "HRD test log" with connect string "DSN=HRD test log 001;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\HRD test log 001.mdb;DriverId=25;FIL=MS Access"
21:40:41  Database       Opening, "HRD test log" with connect string "DSN=HRD test log 001;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\HRD test log 001.mdb;DriverId=25;FIL=MS Access"
21:40:41  Database       Opening, "QRP" with connect string "DSN=X5105 - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\X5105.mdb;DriverId=25;FIL=MS Access"
21:40:41  Database       Opening, "QRP" with connect string "DSN=X5105 - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\X5105.mdb;DriverId=25;FIL=MS Access"
21:40:42  HRD Interface  Initializing: HRD
21:40:43  Soundcards     Loading Soundcard Mixers
21:40:43  Soundcards         1  [CABLE Output (VB-Audio Virtual]
21:40:43  Soundcards         0  [Microphone (USB Audio CODEC )]
                         
21:40:43  Soundcard      Matching []
21:40:43  Soundcard      Matching [], index = -1
21:40:44  Sunspots       file C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
21:40:46  SunspotsEx     Default "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
21:40:46  SunspotsEx     High "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
21:40:46  SunspotsEx     Low "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
21:40:46  SunspotsEx     Recent "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
21:40:51  SunspotsEx     Default "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
21:40:51  SunspotsEx     High "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
21:40:51  SunspotsEx     Low "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
21:40:51  SunspotsEx     Recent "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
21:40:51  Sunspots       file C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
21:40:51  Thread         Alarms: Creating thread
21:40:51  Thread         Alarms: Created thread, handle = 00000D30, errno = 0
21:40:51  Thread         Alarms: Starting thread, handle = 3376
21:40:51  Thread         General: Creating thread
21:40:51  Thread         General: Created thread, handle = 00000D2C, errno = 0
21:40:51  Thread         General: Starting thread, handle = 3372
21:40:52  Thread         Internet: Creating thread
21:40:52  Thread         Internet: Created thread, handle = 00000D6C, errno = 0
21:40:52  Thread         Lookups: Creating thread
21:40:52  Thread         Lookups: Created thread, handle = 00000D38, errno = 0
21:40:52  Thread         Internet: Starting thread, handle = 3436
21:40:52  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
21:40:52  Thread         Lookups: Starting thread, handle = 3384
21:40:52  Thread         Radio: Creating thread
21:40:52  Thread         Radio: Created thread, handle = 00000F00, errno = 0
21:40:52  Thread         Radio: Starting thread, handle = 3840
21:40:52  Thread         Soundcard: Creating thread
21:40:52  Thread         Soundcard: Created thread, handle = 00000EF0, errno = 0
21:40:52  Thread         Soundcard: Starting thread, handle = 3824
21:40:52  Thread         Closing 0 databases
21:40:52  Database       Opening 10 databases
21:40:52  Database       Opening, "G3UCQ MySQL" with connect string "DSN=Mariadb"
21:40:52  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
21:40:52  Init Calendar  Notification object: 064AC700
21:40:52  Init Calendar  Advising reminders
21:40:52  General        Loading layout from C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutA_002.xml
21:40:52  Database       Opening, "G3UCQ" with connect string "DSN=G3UCQ - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
21:40:52  Database       Opening, "HRD test log" with connect string "DSN=HRD test log 001;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\HRD test log 001.mdb;DriverId=25;FIL=MS Access"
21:40:52  Database       Opening, "QRP" with connect string "DSN=X5105 - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\X5105.mdb;DriverId=25;FIL=MS Access"
21:40:52  LoadURL        Got 2920 characters from "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
21:40:52  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
21:40:52  Sunspots       Loaded 44 lines from http://services.swpc.noaa.gov/text/daily-solar-indices.txt
21:40:52  General        Loading class CHRDLogbookFrame
21:40:53  LoadURL        Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) 
21:40:53  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
21:40:54  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
21:40:54  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
21:40:54  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
21:40:54  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
21:40:54  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
21:40:54  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/wwv.txt"
21:40:54  LoadURL        Got 483 characters from "http://services.swpc.noaa.gov/text/wwv.txt"
21:40:55  Database       Checking 'G3UCQ MySQL' data source 'DSN=Mariadb' -
21:40:55  Database       Exists
21:40:55  DSN            Database username ................: root
21:40:55  DSN            Database name ....................: mysql
21:40:55  DSN            DBMS product name ................: MySQL
21:40:55  DSN            Driver filename ..................: myodbc5.dll
21:40:55  DSN            Driver ODBC support ..............: 03.51
21:40:55  DSN            Driver manager ODBC conformance ..: 03.80.0000
21:40:55  DSN            Maximum active connections .......: Unlimited
21:40:55  DSN            Maximum active statements ........: Unlimited
21:40:55  DSN            Read only ........................: N
21:40:55  DSN            Server name ......................: 127.0.0.1 via TCP/IP
21:40:55  Database       Opening 'DSN=Mariadb'
21:40:55  Database       Open status 1
21:40:55  Database       Opening 'Mariadb'
21:40:55  Database       Open status 1
21:40:55  Database       Timeout ..: 120 seconds
21:40:55  Database       Open status 1
21:41:02  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
21:41:02  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
21:41:02  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
21:41:02  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
21:41:02  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
21:41:02  Web            WWV data ..: SF:70 A:6 K:1
21:41:03  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
21:41:03  MDMP cleanup   Total length is 0 and less than 10737418240, no files removed for size
21:41:03  Web            Cluster DXConnect: Manual Connect()

21:41:03  Web            Connect(): Manual = TRUE

21:41:03  Web            Create: New Socket Created.

21:41:04  HRD Interface  Host name      = DESKTOP-8N740CA
21:41:04  HRD Interface  Host address 1 = 192.168.1.128
21:41:04  HRD Interface  Connecting to localhost port 7809
21:41:04  HRD Interface  DESKTOP-8N740CA address 1 = 127.0.0.1
21:41:04  HRD Interface  Connected
21:41:04  HRD Interface  Set recv timeout = 30000 milliseconds
21:41:04  HRD Interface  Get recv timeout = 30000 milliseconds
21:41:04  HRD Interface  Set send timeout = 30000 milliseconds
21:41:04  HRD Interface  Get send timeout = 30000 milliseconds
21:41:04  HRD Interface  Set recv buffer = 32768 Bytes
21:41:04  HRD Interface  Get recv buffer = 32768 Bytes
21:41:04  HRD Interface  Set send buffer = 32768 Bytes
21:41:04  HRD Interface  Get send buffer = 32768 Bytes
21:41:17  SunspotsEx     Recent "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"

K7ZCZ

2018-12-19 16:48

manager   ~0006721

When the code is able to connect to the FTP site, it'll also emit log entires about the data it received. They look like this:

14:34:01  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
14:34:02  LoadURL        Got 28354 characters from "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
14:34:03  SunspotsEx     Loaded 361 lines from ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt
14:34:03  SunspotsEx     Wrote to C:\Users\mikeblas.PROZAC\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt

K7ZCZ

2018-12-19 16:50

manager   ~0006722

The user's Logbook database is not involved with this feature. The solar graph will load even when no database is configured or connected.

The logfile provided by G3UCQ contains a similar failure but it's a lot faster.

21:40:52  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
21:40:53  LoadURL        Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) 

WA9PIE

2018-12-19 21:32

administrator   ~0006725

It sure looks fixed to me (Windows 10).

Is there a problem with Windows 7 that is related to an OS setting or something?

g3ypp

2018-12-20 04:24

viewer   ~0006726

Well some thinks are just stranger than strange! I was playing around this morning and discovered this:

Normally, I connect via a secure VPN (but with my location showing as UK). The issue with the solar progression display as I described was with my VPN on. The solar data does not show beyond 2009.
I switched the VPN off.
Bingo - everything works and full data to 2018 and prediction to 2023.
This is reproduceable every time I toggle the VPN on and off.! No data (VPN On) - All the data (VPN off)
See the attached images

I have no idea either !!!

PD9FER

2018-12-20 05:00

viewer   ~0006727

Reporting Customer is on Win 8
He tested the FTP to: ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt which failed,
I tested on Win 7 and Win 10 and both are ok.

So, do we have a user/OS config error or something specific to Windows 8?

alert1.JPG (33,295 bytes)
alert1.JPG (33,295 bytes)

g3ucq

2018-12-20 05:14

viewer   ~0006728

I am using Windows 10 64bit Home and see the problem.

PD9FER

2018-12-20 09:59

viewer   ~0006732

Customer comment:

Ferry,

I am not using VPN ...

I did add an exception in my firewall for specifically "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt" ... It now loads in my browser .. However, it still fails to load the same file in HRD : "Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) The operation timed out" ???? Timing ??? Log file attached ..

I see G3UCQ sees the same problem with Win 10 ....

PD9FER

2018-12-20 11:26

viewer   ~0006734

Issue solved as in Ticket #437623

g3ucq

2018-12-20 13:30

viewer   ~0006736

Booted into my 2nd Windows 10 64bit Home OS and with beta .133 the Solar Progression displayed without a problem.
The logfile for comparison is attached.
Beta versions .137, .157 and .160 showed no problems with the Solar Progression display.

HRD Logbook Logfile 2018-12-20 190103.txt (10,552 bytes)
18:59:01  Queries        Read 14 queries from C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\LogbookQueries.xml
18:59:05  Thread         Closing 0 databases
18:59:05  Database       Opening 1 databases
18:59:05  Thread         Closing 0 databases
18:59:05  Database       Opening 1 databases
18:59:06  Database       Opening, "G3UCQ" with connect string "DSN=MS Access Database;DBQ=C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
18:59:06  Database       Opening, "G3UCQ" with connect string "DSN=MS Access Database;DBQ=C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
18:59:08  WOW64          Checking WOW64
18:59:08  WOW64          WOW64 status 1
18:59:12  HRD Interface  Initializing: HRD
18:59:16  Soundcards     Loading Soundcard Mixers
18:59:16  Soundcards         0  [Microphone (USB Audio CODEC )]
                         
18:59:16  Soundcard      Matching []
18:59:16  Soundcard      Matching [], index = -1
18:59:16  Sunspots       file C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
18:59:18  SunspotsEx     Default "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
18:59:18  SunspotsEx     High "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
18:59:18  SunspotsEx     Low "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
18:59:18  SunspotsEx     Recent "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
18:59:25  SunspotsEx     Default "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
18:59:25  SunspotsEx     High "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
18:59:25  SunspotsEx     Low "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
18:59:25  SunspotsEx     Recent "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
18:59:25  Sunspots       file C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
18:59:25  Thread         Alarms: Creating thread
18:59:25  Thread         Alarms: Created thread, handle = 000006C4, errno = 0
18:59:25  Thread         Alarms: Starting thread, handle = 1732
18:59:25  Thread         General: Creating thread
18:59:25  Thread         General: Created thread, handle = 000006C8, errno = 0
18:59:25  Thread         General: Starting thread, handle = 1736
18:59:26  Thread         Internet: Creating thread
18:59:26  Thread         Internet: Created thread, handle = 0000085C, errno = 0
18:59:26  Thread         Lookups: Creating thread
18:59:26  Thread         Lookups: Created thread, handle = 000006B0, errno = 0
18:59:26  Thread         Internet: Starting thread, handle = 2140
18:59:26  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
18:59:26  Thread         Lookups: Starting thread, handle = 1712
18:59:26  Thread         Radio: Creating thread
18:59:26  Thread         Radio: Created thread, handle = 000008E0, errno = 0
18:59:26  Thread         Radio: Starting thread, handle = 2272
18:59:26  Thread         Soundcard: Creating thread
18:59:26  Thread         Soundcard: Created thread, handle = 00000948, errno = 0
18:59:26  Thread         Soundcard: Starting thread, handle = 2376
18:59:26  Thread         Closing 0 databases
18:59:26  Database       Opening 1 databases
18:59:26  Database       Opening, "G3UCQ" with connect string "DSN=MS Access Database;DBQ=C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
18:59:26  LoadURL        Got 2920 characters from "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
18:59:26  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
18:59:27  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
18:59:27  Init Calendar  Notification object: 062697B0
18:59:27  Init Calendar  Advising reminders
18:59:27  General        Loading layout from C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutA_002.xml
18:59:27  Sunspots       Loaded 44 lines from http://services.swpc.noaa.gov/text/daily-solar-indices.txt
18:59:28  General        Loading class CHRDLogbookFrame
18:59:29  LoadURL        Got 28354 characters from "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
18:59:29  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:59:29  Database       Checking 'G3UCQ' data source 'DSN=MS Access Database;DBQ=C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access' -
18:59:29  Database       Exists
18:59:29  DSN            Database username ................: admin
18:59:29  DSN            Database name ....................: C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ
18:59:29  DSN            DBMS product name ................: ACCESS
18:59:29  DSN            Driver filename ..................: odbcjt32.dll
18:59:29  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:59:29  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:59:29  DSN            Driver ODBC support ..............: 03.51
18:59:29  DSN            Driver manager ODBC conformance ..: 03.80.0000
18:59:29  DSN            Maximum active connections .......: 64
18:59:29  DSN            Maximum active statements ........: Unlimited
18:59:29  DSN            Read only ........................: N
18:59:29  DSN            Server name ......................: ACCESS
18:59:30  Database       Opening 'DSN=MS Access Database;DBQ=C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access'
18:59:30  Database       Open status 1
18:59:30  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:59:30  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:59:30  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
18:59:30  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/wwv.txt"
18:59:30  LoadURL        Got 483 characters from "http://services.swpc.noaa.gov/text/wwv.txt"
18:59:30  Database       Opening 'G3UCQ - Access'
18:59:30  Database       Open status 1
18:59:30  Database       Timeout ..: 120 seconds
18:59:30  Database       Open status 1
18:59:44  SunspotsEx     Loaded 361 lines from ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt
18:59:44  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt
18:59:44  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
18:59:44  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
18:59:44  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
18:59:44  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
18:59:44  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
18:59:44  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
18:59:44  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
18:59:44  Web            WWV data ..: SF:70 A:6 K:2
18:59:44  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
18:59:44  MDMP cleanup   Found file C:\ProgramData\HRDLLC\DigitalMaster_20181129_091433.mdmp, date 2018-11-29, size is 406378, age is 21 days
18:59:44  MDMP cleanup   Found file C:\ProgramData\HRDLLC\DigitalMaster_20181129_091618.mdmp, date 2018-11-29, size is 393999, age is 21 days
18:59:44  MDMP cleanup   Found file C:\ProgramData\HRDLLC\DigitalMaster_20181201_101306.mdmp, date 2018-12-01, size is 435241, age is 19 days
18:59:44  MDMP cleanup   Total length is 1235618 and less than 10737418240, no files removed for size
18:59:44  HRD Interface  Host name      = DESKTOP-IU3VOBV
18:59:44  HRD Interface  Host address 1 = 192.168.1.128
18:59:44  HRD Interface  Connecting to localhost port 7809
18:59:44  HRD Interface  DESKTOP-IU3VOBV address 1 = 127.0.0.1
18:59:44  HRD Interface  Connected
18:59:44  HRD Interface  Set recv timeout = 30000 milliseconds
18:59:44  HRD Interface  Get recv timeout = 30000 milliseconds
18:59:44  HRD Interface  Set send timeout = 30000 milliseconds
18:59:44  HRD Interface  Get send timeout = 30000 milliseconds
18:59:44  HRD Interface  Set recv buffer = 32768 Bytes
18:59:44  HRD Interface  Get recv buffer = 32768 Bytes
18:59:44  HRD Interface  Set send buffer = 32768 Bytes
18:59:44  HRD Interface  Get send buffer = 32768 Bytes
18:59:59  SunspotsEx     High "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
18:59:59  SunspotsEx     Low "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
19:00:10  Web            Cluster DXConnect: Manual Connect()

19:00:10  Web            Connect(): Manual = TRUE

19:00:10  Web            Create: New Socket Created.

WA9PIE

2018-12-21 23:54

administrator   ~0006789

I'm missing everything since mid-2008 (Win10, if it matters).

K7ZCZ

2018-12-23 17:58

manager   ~0006803

The log from G3UCQ named " HRD Logbook Logfile 2018-12-20 190103.txt " shows a successful retrieval.

WA9PIE didn't bother to provide a log file and hasn't reported any troubleshooting, so I don't think there's anything I can do to help. Reports that just say "I see the problem" don't help with a diagnosis or troubleshooting.

FTP is a very different protocol than HTTP. Since the new data source comes from FTP, we must assure that customers are able to see the site and download from it successfully. It's conceivable that the site is purposefully geographically limited. It's also conceivable that the FTP site is under-powered, and can't handle much traffic. FTP requests are not as readily routable or cacheable as HTTP requests are, so I don't see any reason to doubt that a timeout error means anything more than a timeout from a long-running request that didn't complete.

This feature has a very dubious design; it loads some data from a local representation but never updates that representation. It merges data from several different data sources. If anything fails, it writes only the log lines that I've recently added and does nothing else to indicate failure. Further, the feature displays the local data, then waits a couple minutes before a request for updated data is sent. Impatient testers will assume the data won't update, and will instead report an issue.

This Mantis issue is about the overall perceived failure of the feature, not about enhancements to make it easier to use or diagonse. If work in that area is desired, a new Mantis issue should be opened with a specific request so that a re-design effort can commence. (The best long-term solution might be to have HRD build a web service that retrieves and consolidates the data, then presents that data reliably to customers via a service of our choice, and under our control.)

Because the feature works when there is good connectivity, I think it's pretty clear that the code is working and the problems reported here involve configuration and response time from the FTP server. At the very least, we have no diagnostic reports that show that there is something wrong with the request sent by the application.

g3ucq

2018-12-24 03:49

viewer   ~0006805

I have a dual boot system of Windows 10 64 bit Home.
Running HRD from my 'main' OS cannot display all of the data in the Solar Progression window.
Running HRD from my 2nd test OS ALWAYS shows the Solar Progression Data.
Log files from both OSs are attached for comparison.
It seems that there are serious problems showing in the 1st log file from my main OS although all seems to be running OK.
Could that have a bearing on the data not being shown correctly?

Main_HRD Logbook Logfile 2018-12-24 093435.txt (20,541 bytes)
09:32:53  Queries        Read 15 queries from C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\LogbookQueries.xml
09:32:53  Thread         Closing 0 databases
09:32:53  Database       Opening 9 databases
09:32:53  Thread         Closing 0 databases
09:32:53  Database       Opening 9 databases
09:32:53  Database       Opening, "G3UCQ_MySQL" with connect string "DSN=G3UCQ_MySQL"
09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  WOW64          Checking WOW64
09:32:53  WOW64          WOW64 status 1
09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Opening, "G3UCQ_MySQL" with connect string "DSN=G3UCQ_MySQL"
09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Data source name not found and no default driver specified

09:32:53  Database       Error Cannot open database '(unknown)'.  It may not be a database that your application recognizes, or the file may be corrupt.
Driver's SQLSetConnectAttr failed

09:32:53  Database       Retry opening, "HRD test log" with connect string "DSN=HRD test log 001"
09:32:53  Database       Opening, "G3UCQ" with connect string "DSN=G3UCQ - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
09:32:53  Database       Error Cannot open database '(unknown)'.  It may not be a database that your application recognizes, or the file may be corrupt.
Driver's SQLSetConnectAttr failed

09:32:53  Database       Retry opening, "HRD test log" with connect string "DSN=HRD test log 001"
09:32:53  Database       Opening, "G3UCQ" with connect string "DSN=G3UCQ - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
09:32:53  HRD Interface  Initializing: HRD
09:32:54  Soundcards     Loading Soundcard Mixers
09:32:54  Soundcards         0  [CABLE Output (VB-Audio Virtual]
                         
09:32:54  Soundcard      Matching []
09:32:54  Soundcard      Matching [], index = -1
09:32:54  Sunspots       file C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
09:32:54  SunspotsEx     Default "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
09:32:54  SunspotsEx     High "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
09:32:54  SunspotsEx     Low "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
09:32:54  SunspotsEx     Recent "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
09:32:55  SunspotsEx     Default "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
09:32:55  SunspotsEx     High "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
09:32:55  SunspotsEx     Low "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
09:32:55  SunspotsEx     Recent "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
09:32:55  Sunspots       file C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
09:32:55  Thread         Alarms: Creating thread
09:32:55  Thread         Alarms: Created thread, handle = 00000E34, errno = 0
09:32:55  Thread         Alarms: Starting thread, handle = 3636
09:32:55  Thread         General: Creating thread
09:32:55  Thread         General: Created thread, handle = 00000D30, errno = 0
09:32:55  Thread         General: Starting thread, handle = 3376
09:32:56  Thread         Internet: Creating thread
09:32:56  Thread         Internet: Created thread, handle = 00000D84, errno = 0
09:32:56  Thread         Lookups: Creating thread
09:32:56  Thread         Lookups: Created thread, handle = 00000C5C, errno = 0
09:32:56  Thread         Internet: Starting thread, handle = 3460
09:32:56  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
09:32:56  Thread         Lookups: Starting thread, handle = 3164
09:32:56  Thread         Radio: Creating thread
09:32:56  Thread         Radio: Created thread, handle = 00000EAC, errno = 0
09:32:56  Thread         Radio: Starting thread, handle = 3756
09:32:56  Thread         Soundcard: Creating thread
09:32:56  Thread         Soundcard: Created thread, handle = 00000EDC, errno = 0
09:32:56  Thread         Soundcard: Starting thread, handle = 3804
09:32:56  Thread         Closing 0 databases
09:32:56  Database       Opening 9 databases
09:32:56  Database       Opening, "G3UCQ_MySQL" with connect string "DSN=G3UCQ_MySQL"
09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
09:32:56  Init Calendar  Notification object: 06DAEBF0
09:32:56  Init Calendar  Advising reminders
09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  General        Loading layout from C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutA_002.xml
09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Error Data source name not found and no default driver specified

09:32:56  Database       Opening, "HRD test log" with connect string "DSN=HRD test log 001;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\HRD test log 001.mdb;DriverId=25;FIL=MS Access"
09:32:56  Database       Opening, "G3UCQ" with connect string "DSN=G3UCQ - Access;DBQ=C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\G3UCQ.mdb;DriverId=25;FIL=MS Access"
09:32:56  General        Loading class CHRDLogbookFrame
09:32:56  LoadURL        Got 2920 characters from "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
09:32:56  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
09:32:56  Database       Checking 'G3UCQ_MySQL' data source 'DSN=G3UCQ_MySQL' -
09:32:56  Database       Exists
09:32:56  DSN            Database username ................: root
09:32:56  DSN            Database name ....................: mysql
09:32:56  DSN            DBMS product name ................: MySQL
09:32:56  DSN            Driver filename ..................: myodbc8a.dll
09:32:56  DSN            Driver ODBC support ..............: 03.80
09:32:56  DSN            Driver manager ODBC conformance ..: 03.80.0000
09:32:56  DSN            Maximum active connections .......: Unlimited
09:32:56  DSN            Maximum active statements ........: Unlimited
09:32:56  DSN            Read only ........................: N
09:32:56  DSN            Server name ......................: 127.0.0.1 via TCP/IP
09:32:56  Database       Opening 'DSN=G3UCQ_MySQL'
09:32:56  Database       Open status 1
09:32:56  Database       Opening 'G3UCQ_MySQL'
09:32:57  Database       Open status 1
09:32:57  Database       Timeout ..: 120 seconds
09:32:57  Database       Open status 1
09:32:57  LoadURL        Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) 
09:32:57  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:32:57  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:32:57  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:32:58  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:32:58  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:32:58  Sunspots       Loaded 44 lines from http://services.swpc.noaa.gov/text/daily-solar-indices.txt
09:32:58  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
09:32:58  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
09:32:58  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:32:58  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/wwv.txt"
09:32:58  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
09:32:58  SunspotsEx     Wrote to C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
09:32:58  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
09:32:58  MDMP cleanup   Total length is 0 and less than 10737418240, no files removed for size
09:32:58  Web            Cluster DXConnect: Manual Connect()

09:32:58  Web            Connect(): Manual = TRUE

09:32:58  LoadURL        Got 483 characters from "http://services.swpc.noaa.gov/text/wwv.txt"
09:32:58  Web            Create: New Socket Created.

09:32:58  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
09:32:58  Web            WWV data ..: SF:70 A:2 K:0
09:32:58  HRD Interface  Host name      = DESKTOP-8N740CA
09:32:58  HRD Interface  Host address 1 = 192.168.1.128
09:32:58  HRD Interface  Connecting to localhost port 7809
09:32:58  HRD Interface  DESKTOP-8N740CA address 1 = 127.0.0.1
09:32:58  HRD Interface  Connected
09:32:58  HRD Interface  Set recv timeout = 30000 milliseconds
09:32:58  HRD Interface  Get recv timeout = 30000 milliseconds
09:32:58  HRD Interface  Set send timeout = 30000 milliseconds
09:32:58  HRD Interface  Get send timeout = 30000 milliseconds
09:32:58  HRD Interface  Set recv buffer = 32768 Bytes
09:32:58  HRD Interface  Get recv buffer = 32768 Bytes
09:32:58  HRD Interface  Set send buffer = 32768 Bytes
09:32:58  HRD Interface  Get send buffer = 32768 Bytes
09:33:13  SunspotsEx     Recent "C:\Users\Win 10\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
09:33:36  HRD Interface  Error .: Command  = [74] get frequencies
09:33:36  HRD Interface  Error .: Status   = Not connected
09:33:36  HRD Interface  Error .: Elapased = 0ms
09:33:36  HRD Interface  Error .: History (last 10 commands)
09:33:36  HRD Interface  Error .:   01 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   01 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   02 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   02 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   03 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   03 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   04 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   04 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   05 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   05 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   06 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   06 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   07 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   07 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   08 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   08 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   09 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   09 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   10 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   10 Reply ....:
09:33:36  HRD Interface  Error .: Command  = [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .: Status   = Not connected
09:33:36  HRD Interface  Error .: Elapased = 0ms
09:33:36  HRD Interface  Error .: History (last 10 commands)
09:33:36  HRD Interface  Error .:   01 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   01 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   02 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   02 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   03 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   03 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   04 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   04 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   05 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   05 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   06 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   06 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   07 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   07 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   08 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   08 Reply ....: 14235000-3780000
09:33:36  HRD Interface  Error .:   09 Command ..: [74] get dropdown-text {Main~Mode} [74] get dropdown-text {Sub~Mode} [74] get dropdown-text {CW~Keying} [74] get dropdown-text {Mode~Key} [74] get dropdown-text {Receiver}
09:33:36  HRD Interface  Error .:   09 Reply ....: Main Mode: USB Sub Mode: LSB CW Keying Mode Key Receiver: RX / Off
09:33:36  HRD Interface  Error .:   10 Command ..: [74] get frequencies
09:33:36  HRD Interface  Error .:   10 Reply ....:
09:33:48  HRD Interface  Host name      = DESKTOP-8N740CA
09:33:48  HRD Interface  Host address 1 = 192.168.1.128
09:33:48  HRD Interface  Connecting to localhost port 7809
09:33:48  HRD Interface  DESKTOP-8N740CA address 1 = 127.0.0.1
09:33:48  HRD Interface  Error .: Error connecting to 'localhost' port 7809 - No connection could be made because the target machine actively refused it.
09:33:55  HRD Interface  Host name      = DESKTOP-8N740CA
09:33:55  HRD Interface  Host address 1 = 192.168.1.128
09:33:55  HRD Interface  Connecting to localhost port 7809
09:33:55  HRD Interface  DESKTOP-8N740CA address 1 = 127.0.0.1
09:33:55  HRD Interface  Connected
09:33:55  HRD Interface  Set recv timeout = 30000 milliseconds
09:33:55  HRD Interface  Get recv timeout = 30000 milliseconds
09:33:55  HRD Interface  Set send timeout = 30000 milliseconds
09:33:55  HRD Interface  Get send timeout = 30000 milliseconds
09:33:55  HRD Interface  Set recv buffer = 32768 Bytes
09:33:55  HRD Interface  Get recv buffer = 32768 Bytes
09:33:55  HRD Interface  Set send buffer = 32768 Bytes
09:33:55  HRD Interface  Get send buffer = 32768 Bytes
2nd OS_HRD Logbook Logfile 2018-12-24 092831.txt (10,171 bytes)
09:26:51  Queries        Read 14 queries from C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\LogbookQueries.xml
09:26:51  Thread         Closing 0 databases
09:26:51  Database       Opening 2 databases
09:26:51  Thread         Closing 0 databases
09:26:51  Database       Opening 2 databases
09:26:51  WOW64          Checking WOW64
09:26:51  WOW64          WOW64 status 1
09:26:51  Database       Opening, "G3UCQ_MySQL" with connect string "DSN=G3UCQ_Mariadb"
09:26:51  Database       Opening, "G3UCQ_MySQL" with connect string "DSN=G3UCQ_Mariadb"
09:26:51  HRD Interface  Initializing: HRD
09:26:51  Soundcards     Loading Soundcard Mixers
                         
09:26:51  Soundcard      Matching []
09:26:51  Soundcard      Matching [], index = -1
09:26:51  Sunspots       file C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
09:26:51  SunspotsEx     Default "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
09:26:51  SunspotsEx     High "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
09:26:51  SunspotsEx     Low "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
09:26:51  SunspotsEx     Recent "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
09:26:53  SunspotsEx     Default "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictDefault.txt"
09:26:53  SunspotsEx     High "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictHigh.txt"
09:26:53  SunspotsEx     Low "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\SunspotPredictLow.txt"
09:26:53  SunspotsEx     Recent "C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt" not found, using "C:\Program Files (x86)\HRD Software LLC\Ham Radio Deluxe\RecentSolarIndices.txt"
09:26:53  Sunspots       file C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\Last30DaysDailySolarData.txt
09:26:53  Thread         Alarms: Creating thread
09:26:53  Thread         Alarms: Created thread, handle = 00000628, errno = 0
09:26:53  Thread         Alarms: Starting thread, handle = 1576
09:26:53  Thread         General: Creating thread
09:26:53  Thread         General: Created thread, handle = 0000077C, errno = 0
09:26:53  Thread         General: Starting thread, handle = 1916
09:26:53  Thread         Internet: Creating thread
09:26:53  Thread         Internet: Created thread, handle = 00000888, errno = 0
09:26:53  Thread         Lookups: Creating thread
09:26:53  Thread         Lookups: Created thread, handle = 000007B4, errno = 0
09:26:53  Thread         Internet: Starting thread, handle = 2184
09:26:53  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
09:26:53  Thread         Lookups: Starting thread, handle = 1972
09:26:53  Thread         Radio: Creating thread
09:26:53  Thread         Radio: Created thread, handle = 000008F8, errno = 0
09:26:53  Thread         Radio: Starting thread, handle = 2296
09:26:54  Thread         Soundcard: Creating thread
09:26:54  Thread         Soundcard: Created thread, handle = 0000096C, errno = 0
09:26:54  Thread         Soundcard: Starting thread, handle = 2412
09:26:54  Thread         Closing 0 databases
09:26:54  Database       Opening 2 databases
09:26:54  Init Calendar  Database: Provider=Microsoft.Jet.OLEDB.4.0;Data Source='C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\HRDLogbookCalendar001.mdb';
09:26:54  Init Calendar  Notification object: 062BED90
09:26:54  Init Calendar  Advising reminders
09:26:54  Database       Opening, "G3UCQ_MySQL" with connect string "DSN=G3UCQ_Mariadb"
09:26:54  General        Loading layout from C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\LogbookMainLayoutA_002.xml
09:26:54  General        Loading class CHRDLogbookFrame
09:26:54  LoadURL        Got 2920 characters from "http://services.swpc.noaa.gov/text/daily-solar-indices.txt"
09:26:54  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
09:26:54  Database       Checking 'G3UCQ_MySQL' data source 'DSN=G3UCQ_Mariadb' -
09:26:54  Database       Exists
09:26:54  DSN            Database username ................: root
09:26:54  DSN            Database name ....................: mysql
09:26:54  DSN            DBMS product name ................: MySQL
09:26:54  DSN            Driver filename ..................: myodbc8a.dll
09:26:54  DSN            Driver ODBC support ..............: 03.80
09:26:54  DSN            Driver manager ODBC conformance ..: 03.80.0000
09:26:54  DSN            Maximum active connections .......: Unlimited
09:26:54  DSN            Maximum active statements ........: Unlimited
09:26:54  DSN            Read only ........................: N
09:26:54  DSN            Server name ......................: 127.0.0.1 via TCP/IP
09:26:54  Database       Opening 'DSN=G3UCQ_Mariadb'
09:26:54  Database       Open status 1
09:26:54  Database       Opening 'G3UCQ_Mariadb'
09:26:54  Database       Open status 1
09:26:54  Database       Timeout ..: 120 seconds
09:26:54  Database       Open status 1
09:26:55  Sunspots       Loaded 44 lines from http://services.swpc.noaa.gov/text/daily-solar-indices.txt
09:26:55  MDMP cleanup   Searching C:\ProgramData\HRDLLC\*.mdmp for minidumps ...
09:26:55  MDMP cleanup   Found file C:\ProgramData\HRDLLC\DigitalMaster_20181129_091433.mdmp, date 2018-11-29, size is 406378, age is 25 days
09:26:55  MDMP cleanup   Found file C:\ProgramData\HRDLLC\DigitalMaster_20181129_091618.mdmp, date 2018-11-29, size is 393999, age is 25 days
09:26:55  MDMP cleanup   Found file C:\ProgramData\HRDLLC\DigitalMaster_20181201_101306.mdmp, date 2018-12-01, size is 435241, age is 22 days
09:26:55  MDMP cleanup   Total length is 1235618 and less than 10737418240, no files removed for size
09:26:55  HRD Interface  Host name      = DESKTOP-IU3VOBV
09:26:55  HRD Interface  Host address 1 = 192.168.1.128
09:26:55  HRD Interface  Connecting to localhost port 7809
09:26:55  HRD Interface  DESKTOP-IU3VOBV address 1 = 127.0.0.1
09:26:55  HRD Interface  Connected
09:26:55  HRD Interface  Set recv timeout = 30000 milliseconds
09:26:55  HRD Interface  Get recv timeout = 30000 milliseconds
09:26:55  HRD Interface  Set send timeout = 30000 milliseconds
09:26:55  HRD Interface  Get send timeout = 30000 milliseconds
09:26:55  HRD Interface  Set recv buffer = 32768 Bytes
09:26:55  HRD Interface  Get recv buffer = 32768 Bytes
09:26:55  HRD Interface  Set send buffer = 32768 Bytes
09:26:55  HRD Interface  Get send buffer = 32768 Bytes
09:26:55  LoadURL        Got 28354 characters from "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
09:26:55  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:26:55  SunspotsEx     Loaded 361 lines from ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt
09:26:55  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\RecentSolarIndices.txt
09:26:55  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:26:55  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:26:55  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
09:26:55  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
09:26:55  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
09:26:55  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
09:26:56  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:26:56  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:26:56  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
09:26:56  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
09:26:56  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
09:26:56  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
09:26:56  LoadURL        Got 4295 characters from "http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt"
09:26:56  LoadURL        attempting to load URL "http://services.swpc.noaa.gov/text/wwv.txt"
09:26:56  SunspotsEx     Loaded 75 lines from http://services.swpc.noaa.gov/text/predicted-sunspot-radio-flux.txt
09:26:56  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictDefault.txt
09:26:56  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictHigh.txt
09:26:56  SunspotsEx     Wrote to C:\Users\HRD\AppData\Roaming\HRDLLC\HRD Logbook\SunspotPredictLow.txt
09:26:56  LoadURL        Got 483 characters from "http://services.swpc.noaa.gov/text/wwv.txt"
09:26:56  Web            Loaded 14 lines from http://services.swpc.noaa.gov/text/wwv.txt
09:26:56  Web            WWV data ..: SF:70 A:2 K:0
09:27:03  Web            Cluster DXConnect: Manual Connect()

09:27:03  Web            Connect(): Manual = TRUE

09:27:03  Web            Create: New Socket Created.

K7ZCZ

2018-12-26 17:08

manager   ~0006806

"Main_HRD Logbook Logfile" shows this error, which means the application couldn't connect to the FTP server to retrieve data:

09:32:56  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
09:32:57  LoadURL        Couldn't load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt": (0) 


"2nd OS_HRD Logbook Logfile" shows these lines, which means it was successful in connecting to the FTP server and loaded the data it found:

09:26:54  LoadURL        attempting to load URL "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
09:26:55  LoadURL        Got 28354 characters from "ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt"
09:26:55  SunspotsEx     Loaded 361 lines from ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt


I'm not sure which installation is which, but it seems like one can reach the FTP server and the other can't. I'm not able to diagnose that problem for you.

K7ZCZ

2018-12-26 17:10

manager  

SolarCycle.png (16,362 bytes)
SolarCycle.png (16,362 bytes)

K7ZCZ

2018-12-26 17:10

manager   ~0006807

Attached is a screenshot of what I see when I access the Solar Cycle tab on build 161. As far as I can tell, the data is loading and drawing correctly. (Am I incorrect in that assessment?) The logfile I get seems to confirm that.

The reports in this issue seem to be from customers who either have configurations that disallow FTP, or are having problems reaching the FTP server. The code we've got works when it can connect to its data source. There's little I can do if the data source isn't reachable.

g3ucq

2018-12-27 05:16

viewer   ~0006808

I have turned off my Firewall but that made no difference to what I see.
If the Logbook/View/Solar display is turned on when the Logbook loads I see for a few seconds the complete solar predictions as in Capture1. Then this is replaced with Capture 2.

Capture1.JPG (65,843 bytes)
Capture1.JPG (65,843 bytes)
Capture2.JPG (56,161 bytes)
Capture2.JPG (56,161 bytes)

g3ucq

2018-12-27 11:46

viewer   ~0006810

I removed the 5 downloaded files from Users/Appdata/Roaming etc. and reloaded the Logbook
For a few seconds the full Solar Progression graph displayed and then changed to the graph with data missing.
The logfile states that the FTP URL to NOAA could not be loaded yet the five .txt. files were replaced in the Logbook folder.

K7ZCZ

2019-01-08 14:45

manager   ~0006907

After almost two weeks, I've not heard anything back from the clien-side test I sugested.

Meanwhile, I've opened the additional bugs I mentioned in #6803, above. They are 3052, 3053, and 3054.

g3ucq

2019-01-08 14:53

viewer   ~0006908

Just tested again. The complete graph displayed for about 3 seconds and then reverted to the graph with the missing data as in my #6808.

PD9FER

2019-01-10 14:47

viewer   ~0006946

Win 7 Ultimate 64 bit with the Microsoft SSL/TLS fix
No problems here

a.png (31,702 bytes)
a.png (31,702 bytes)
b.png (53,173 bytes)
b.png (53,173 bytes)

WA9PIE

2019-01-16 11:13

administrator   ~0007004

At step #5, I get the following message:

425 Unable to build data connection: Connection refused

WA9PIE

2019-01-16 11:22

administrator   ~0007006

Here's an image of my results also:

NOAA-FTP.PNG (19,228 bytes)
NOAA-FTP.PNG (19,228 bytes)

WA9PIE

2019-01-16 13:13

administrator   ~0007010

We'll probably drop this in favor of 3052.

PD9FER

2019-01-16 16:39

viewer   ~0007013

Good idea, I agree

WA9PIE

2019-01-16 18:07

administrator   ~0007016

We're dropping this in favor of 3052.

Issue History

Date Modified Username Field Change
2018-11-10 09:13 PD9FER New Issue
2018-11-20 12:43 K7ZCZ Assigned To => K7ZCZ
2018-11-20 12:43 K7ZCZ Status new => resolved
2018-11-20 12:43 K7ZCZ Resolution open => fixed
2018-11-20 12:43 K7ZCZ Note Added: 0006436
2018-11-20 12:44 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-12-09 15:44 K7ZCZ Fixed in Version => 6.5.0.132
2018-12-10 07:00 PD9FER Note Added: 0006557
2018-12-10 07:29 PD9FER Note Added: 0006560
2018-12-10 07:33 PD9FER File Added: 2018-12-10_14-31-51.png
2018-12-10 07:33 PD9FER Note Added: 0006561
2018-12-10 11:00 g3ucq Note Added: 0006564
2018-12-12 13:15 WA9PIE Note Added: 0006589
2018-12-12 13:15 WA9PIE Status resolved => assigned
2018-12-12 13:15 WA9PIE Resolution fixed => reopened
2018-12-12 13:15 WA9PIE Fixed in Version 6.5.0.132 =>
2018-12-12 13:15 WA9PIE Testing Not Started => Beta Failed
2018-12-15 09:58 K7ZCZ Assigned To K7ZCZ => PD9FER
2018-12-15 09:58 K7ZCZ Status assigned => resolved
2018-12-15 09:58 K7ZCZ Resolution reopened => fixed
2018-12-15 09:58 K7ZCZ Note Added: 0006654
2018-12-17 14:46 K7ZCZ Fixed in Version => 6.5.0.157
2018-12-18 05:10 g3ypp Note Added: 0006700
2018-12-18 09:28 g3ucq Note Added: 0006702
2018-12-19 03:58 g3ypp File Added: SolarProgression.JPG
2018-12-19 03:58 g3ypp Note Added: 0006707
2018-12-19 04:27 g3ucq File Added: solar.JPG
2018-12-19 04:27 g3ucq Note Added: 0006708
2018-12-19 04:28 PD9FER Note Added: 0006709
2018-12-19 08:39 PD9FER Note Added: 0006711
2018-12-19 08:54 PD9FER Note Added: 0006712
2018-12-19 10:41 K7ZCZ Note Added: 0006713
2018-12-19 11:58 PD9FER File Added: LOG.txt
2018-12-19 11:58 PD9FER Note Added: 0006714
2018-12-19 14:21 K7ZCZ Note Added: 0006715
2018-12-19 15:45 g3ucq File Added: HRD Logbook Logfile 2018-12-19 214140.txt
2018-12-19 15:45 g3ucq Note Added: 0006716
2018-12-19 16:48 K7ZCZ Note Added: 0006721
2018-12-19 16:50 K7ZCZ Note Added: 0006722
2018-12-19 21:32 WA9PIE Note Added: 0006725
2018-12-20 04:24 g3ypp File Added: SolarProgression_VPN_OFF.JPG
2018-12-20 04:24 g3ypp File Added: SolarProgression_VPN_ON.JPG
2018-12-20 04:24 g3ypp Note Added: 0006726
2018-12-20 05:00 PD9FER File Added: alert1.JPG
2018-12-20 05:00 PD9FER Note Added: 0006727
2018-12-20 05:14 g3ucq Note Added: 0006728
2018-12-20 09:59 PD9FER Note Added: 0006732
2018-12-20 11:26 PD9FER Note Added: 0006734
2018-12-20 13:30 g3ucq File Added: HRD Logbook Logfile 2018-12-20 190103.txt
2018-12-20 13:30 g3ucq Note Added: 0006736
2018-12-21 23:54 WA9PIE Note Added: 0006789
2018-12-23 17:58 K7ZCZ Note Added: 0006803
2018-12-24 03:49 g3ucq File Added: Main_HRD Logbook Logfile 2018-12-24 093435.txt
2018-12-24 03:49 g3ucq File Added: 2nd OS_HRD Logbook Logfile 2018-12-24 092831.txt
2018-12-24 03:49 g3ucq Note Added: 0006805
2018-12-26 17:08 K7ZCZ Note Added: 0006806
2018-12-26 17:10 K7ZCZ File Added: SolarCycle.png
2018-12-26 17:10 K7ZCZ Note Added: 0006807
2018-12-27 05:16 g3ucq File Added: Capture1.JPG
2018-12-27 05:16 g3ucq File Added: Capture2.JPG
2018-12-27 05:16 g3ucq Note Added: 0006808
2018-12-27 11:46 g3ucq Note Added: 0006810
2018-12-27 15:19 WA9PIE Status resolved => assigned
2018-12-27 15:19 WA9PIE Resolution fixed => reopened
2018-12-27 15:19 WA9PIE Fixed in Version 6.5.0.157 =>
2019-01-08 14:45 K7ZCZ Note Added: 0006907
2019-01-08 14:45 K7ZCZ Relationship added related to 0003052
2019-01-08 14:45 K7ZCZ Relationship added related to 0003053
2019-01-08 14:45 K7ZCZ Relationship added related to 0003054
2019-01-08 14:53 g3ucq Note Added: 0006908
2019-01-10 14:47 PD9FER File Added: a.png
2019-01-10 14:47 PD9FER File Added: b.png
2019-01-10 14:47 PD9FER Note Added: 0006946
2019-01-10 15:24 WA9PIE Assigned To PD9FER => WA9PIE
2019-01-11 20:49 K7ZCZ Relationship added related to 0003060
2019-01-11 20:50 K7ZCZ Relationship added related to 0003059
2019-01-16 11:13 WA9PIE Note Added: 0007004
2019-01-16 11:22 WA9PIE File Added: NOAA-FTP.PNG
2019-01-16 11:22 WA9PIE Note Added: 0007006
2019-01-16 13:13 WA9PIE Note Added: 0007010
2019-01-16 16:39 PD9FER Note Added: 0007013
2019-01-16 18:07 WA9PIE Status assigned => closed
2019-01-16 18:07 WA9PIE Resolution reopened => won't fix
2019-01-16 18:07 WA9PIE Testing Beta Failed => N/A
2019-01-16 18:07 WA9PIE Note Added: 0007016
2019-01-16 18:10 WA9PIE Resolution won't fix => fixed
2019-01-16 22:04 WA9PIE Fixed in Version => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe